Bug 737304 - Psi bundle libs
Psi bundle libs
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: psi (Show other bugs)
rawhide
Unspecified Unspecified
low Severity high
: ---
: ---
Assigned To: Ivan Romanov
Fedora Extras Quality Assurance
: FutureFeature, Reopened
Depends On: psi+cmake 749885 1264097
Blocks: DuplicSysLibsTracker
  Show dependency treegraph
 
Reported: 2011-09-10 18:47 EDT by Pavel Alexeev
Modified: 2016-01-22 13:07 EST (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-01-22 13:07:22 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Pavel Alexeev 2011-09-10 18:47:38 EDT
Psi bundle at least iris (http://delta.affinix.com/iris/) and jdns (http://delta.affinix.com/jdns/) libs and need unbundle it according Fedora guidelines http://fedoraproject.org/wiki/Packaging:No_Bundled_Libraries

For more info: http://www.mail-archive.com/devel@lists.fedoraproject.org/msg31350.html
Comment 1 Raphael Groner 2012-01-30 14:04:05 EST
Is that issue here because of "needing unreleased features"?

https://fedoraproject.org/wiki/Packaging:No_Bundled_Libraries#Needing_unreleased_features

-
Adding <drizt@land.ru> into CC because he would like to be the maintainer of package for psi-plus (upstream development branch) and opened a review request.
Comment 2 Fedora End Of Life 2013-04-03 15:45:13 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 19 development cycle.
Changing version to '19'.

(As we did not run this process for some time, it could affect also pre-Fedora 19 development
cycle bugs. We are very sorry. It will help us with cleanup during Fedora 19 End Of Life. Thank you.)

More information and reason for this action is here:
https://fedoraproject.org/wiki/BugZappers/HouseKeeping/Fedora19
Comment 3 Ivan Romanov 2014-09-11 17:37:32 EDT
There is jdns package in Fedora. So psi package can be easy rebuild against system jdns. Only need to apply some upstream Psi patch. 

Look at
https://github.com/psi-im/psi/commit/92cd9a58cd2d342a69647fc0d91af766c562df79
Comment 4 Raphael Groner 2014-12-11 12:30:43 EST
ping?

Setting to rawhide to prevent upcoming EOL warnings.
Comment 5 Raphael Groner 2014-12-12 18:11:30 EST
(In reply to Ivan Romanov from comment #3)
> There is jdns package in Fedora. So psi package can be easy rebuild against
> system jdns. Only need to apply some upstream Psi patch. 
> 
> Look at
> https://github.com/psi-im/psi/commit/92cd9a58cd2d342a69647fc0d91af766c562df79

Your patch does not work for the 0.15 branch. Please provide a proper patch. Especially remove configure.exe (binary blob) and iris (dunno for what that file is), there are also failing hunks in configure.
Comment 6 Ivan Romanov 2014-12-13 04:43:59 EST
Drop configure from the patch and use qconf to generate a new one.
Comment 7 Raphael Groner 2014-12-13 07:29:38 EST
About bundled iris: There is somehow a patched bundle. For details look at psi-plus request.

(In reply to Ivan Romanov from comment #98)
…
> Before I knew that all Kopete patches go to original iris. So now it is not
> a problem. Need only to put in order iris sources. Now Psi (I mean original
> Psi) seems uses some private iris headers. It's not a good. Also need to
> move some Psi+ iris patches to iris repo.

https://bugzilla.redhat.com/show_bug.cgi?id=709328#c98

I can't be sure that we just can use current Fedora iris for to unbundled iris from psi package. Will want when(if) issue will be resolved in upstream.
Comment 8 Fedora Update System 2014-12-13 10:48:23 EST
psi-0.15-6.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/psi-0.15-6.fc21
Comment 9 Fedora Update System 2014-12-18 01:09:32 EST
psi-0.15-6.fc21 has been pushed to the Fedora 21 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 10 Raphael Groner 2015-01-30 15:29:15 EST
Upstream is still working on a reasonable patch to unbundle iris. So closing this as UPSTREAM.
Comment 11 Thomas Spura 2015-01-30 17:16:38 EST
Either it is fixed in the update above or not.
It is not possible to close this with UPSTREAM, reopening.
Comment 12 Raphael Groner 2015-04-29 06:27:21 EDT
Psi official release 0.16 is planned for the near future.
https://github.com/psi-plus/main/issues/560
Comment 13 Raphael Groner 2015-06-22 00:43:24 EDT
My vote goes for an unbundling exception due to same upstream for both psi and iris.
https://fedoraproject.org/wiki/Packaging:No_Bundled_Libraries#Forks_of_packages_which_have_been_granted_an_exception

Would someone file a FPC ticket for that?
Comment 14 Raphael Groner 2015-09-17 10:23:24 EDT
Improve iris package: bug #1264097
Comment 15 Raphael Groner 2015-10-10 14:29:11 EDT
Some thoughts to the recent discussion [1] of the [un]bundling guidelines: As it states, we now do not need an exception request any more and could just use
 Provides: bundled(iris) = $version

[1] https://fedorahosted.org/fpc/ticket/575
Comment 16 Ivan Romanov 2015-10-11 06:40:21 EDT
Thanks! Really it is very good news. Is it mean we can just build package as is? And put to Fedora?
Comment 17 Raphael Groner 2015-10-11 07:15:53 EDT
Still waiting for Rex what he says about bug #1264097. When we use a bundled() entry, that RFE becomes useless for now.
Comment 18 Raphael Groner 2015-10-12 08:13:55 EDT
Unbundling should be done at upstream, as discussed today in IRC.
Comment 19 Raphael Groner 2015-10-14 10:48:31 EDT
Removing psi-plus from blockers, this happens later at upstream.
Comment 20 Fedora Update System 2015-10-14 11:40:38 EDT
psi-0.15-10.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2015-31b9c7a628
Comment 21 Fedora Update System 2015-10-14 18:52:40 EDT
psi-0.15-10.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'dnf --enablerepo=updates-testing update psi'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-31b9c7a628
Comment 22 Fedora Update System 2015-10-31 22:37:37 EDT
psi-0.15-10.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.
Comment 23 Fedora Admin XMLRPC Client 2016-01-04 15:48:14 EST
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 24 Rex Dieter 2016-01-22 13:07:22 EST
I think this can be closed now that psi complies with latest bundling guidelines

Note You need to log in before you can comment on or make changes to this bug.